#
# spec file for package perl-Convert-TNEF (Version 0.08)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-IO-stringy perl-MIME-tools
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-IO-stringy perl-MIME-tools ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Convert-TNEF
Copyright:    Copyright (c) 1999 Douglas Wilson <dwilson@gtemail.net>. All rights reserved.
Group:        Development/Languages/Perl
Provides:     p_tnef
Obsoletes:    p_tnef
Autoreqprov:  on
Summary:      Perl module to read TNEF files
Version:      0.08
Release:      115
Source:       Convert-TNEF-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root

%description
Perl module to read TNEF files

Authors:
--------
    Douglas Wilson <dwilson@gtemail.net>

SuSE series: perl

%prep
%setup -n Convert-TNEF-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
    eval `perl -V:installarchlib`
    install -d $RPM_BUILD_ROOT/$installarchlib
    make PREFIX=$RPM_BUILD_ROOT/usr \
            INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
            install
    install -d $RPM_BUILD_ROOT/var/adm/perl-modules
    cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Convert-TNEF
    cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Convert/TNEF
    cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
/usr/lib/perl5/site_perl/5.*/Convert/TNEF.pm
/usr/lib/perl5/site_perl/5.*/auto/Convert/TNEF
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Convert/TNEF
%doc /usr/share/man/man3/Convert::TNEF.3pm.gz
/var/adm/perl-modules/perl-Convert-TNEF
%doc Changes MANIFEST README

%changelog -n perl-Convert-TNEF
* Thu Nov 16 2000 - ro@suse.de
- typo fixed
* Wed Nov 15 2000 - choeger@suse.de
- long package name
- buildroot
* Wed Jul 19 2000 - choeger@suse.de
- first package, v0.08
